# #################################################################
# (C) Copyright 2007 Benjamin Krill <ben@codiert.org>
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License as
# published by the Free Software Foundation; either version 2 of
# the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin St, Fifth Floor, Boston,
# MA 02110-1301 USA
# #################################################################
KERNEL_RELEASE = $(shell uname -r)
#KERNEL_BUILDROOT ?= /root/linux-2.6.21.5/obj
KERNEL_BUILDROOT ?= /lib/modules/$(KERNEL_RELEASE)/build
BUILDROOT = $(shell pwd)

obj-m       := fpgafs.o
fpgafs-objs := files.o inode.o llmgmt.o

# low level driver
obj-m       += fpgafs_lldrv_dbg.o
obj-m       += fpgafs_lldrv_cham.o
obj-m       += fpgafs_lldrv_rag.o

all :
	$(MAKE) -C $(KERNEL_BUILDROOT) SUBDIRS=$(BUILDROOT) modules

clean:
	rm -f *.ko *.o .*.cmd .*.o.flags *.mod.c Module.symvers
	rm -rf .tmp_versions

.PHONY : all clean
